package com.tofly.ghrq_route.module.buildManage.domain;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Unique;

import java.io.Serializable;

/**
 * Created by Amu on 2017/5/22.
 */

@Entity(nameInDb = "DB_BUILD_MANAGE")
@SuppressWarnings("serial")
public class BuildManageBean implements Serializable {

    /**
     * address : 花卉园
     * build_company_name :
     * charege_phone :
     * charege_userid :
     * charege_username :
     * charge_company_name :
     * code :
     * crete_time : 2017-05-22 10:13:34
     * id : 5CE406D25E844CB9AC2C46E679F9D639
     * lat : 29.581124
     * lng : 106.515851
     * name : 巡检项目测试
     * notes :
     * scene_charege_name :
     * build_state : 0
     * project_type_id : E4CFF99D9BC94D7CA45E07D90721E2A5
     * project_type_name : 巡检项目
     * "depname": "巡检2组",
     * "create_username": "管理员",
     * "create_time": "2017-08-04 09:43:29",
     * "gaozhishu": "",
     * report : [{"build_id":"5CE406D25E844CB9AC2C46E679F9D639","create_time":"2017-05-22 10:38:27","id":"42D5133F85184A4D92A5BB7D389C79B8","is_leak":0,"is_notification":0,"is_pipeline":0,"is_safedistance":0,"is_safemark":0,"notes":"工地测试","report_situation":"工地正常","report_state":0,"report_time":"2017-05-22 10:38:27","report_username":"","file":"Upload/2017-05/b0acce72-4e40-4193-8454-1468096a1f15.png"}]
     * handle : [{"id":"0AB14E6A5C5B41FFBD42B0F2F7A14ED6","build_id":"5CE406D25E844CB9AC2C46E679F9D639","handle_userid":"","handle_username":"张三","handle_state":1,"handle_note":"","handle_time":"2017-05-22 11:50:52","check_state":null,"check_userid":"","check_username":"","check_note":"","check_time":null}]
     */


    public final static int BUILD_SUBMIT_ZERO = 0;  //缓存
    public final static int BUILD_SUBMIT_ONE = 1;  //提交失败


    @Id
    @NotNull
    @Unique
    private String id; //工地工单id
    private String note;//备注
    private String dispatchDate;//派工时间
    private String constructionAddress;//施工地点
    private String siteName;//工地名称(地址+内容)
    private String description;//详情描述
    private String delFlag;//删除标记
    private String dispatchUserName;//派工人姓名
    private String constructionUnit;//施工单位
    private String constructionPersonName;//施工人名
    private String personInCharge;//工单负责人
    private String dispatchUserId;//处置班班长ID
    private String siteType;//工地类型 0:第三方施工 , 1:自建工程
    private String siteTypeName;//工地类型名称
    private String manageUnit;//主管单位
    private String manager;//主管人
    private String constructionState;//工单状态
    private int rowId;
    private String constructionStateName;//工单状态名字
    private double x;
    private double y;
    private String constructionPerson;//工地监护人
    private String personInChargePhone;//联系人电话
    private String submit_state;// 0:本地缓存未提交，1：提交不成功
    private String department;//部门id
    @Generated(hash = 1217452814)
    public BuildManageBean(@NotNull String id, String note, String dispatchDate, String constructionAddress, String siteName, String description, String delFlag, String dispatchUserName, String constructionUnit, String constructionPersonName, String personInCharge, String dispatchUserId, String siteType, String siteTypeName, String manageUnit, String manager, String constructionState, int rowId,
            String constructionStateName, double x, double y, String constructionPerson, String personInChargePhone, String submit_state, String department) {
        this.id = id;
        this.note = note;
        this.dispatchDate = dispatchDate;
        this.constructionAddress = constructionAddress;
        this.siteName = siteName;
        this.description = description;
        this.delFlag = delFlag;
        this.dispatchUserName = dispatchUserName;
        this.constructionUnit = constructionUnit;
        this.constructionPersonName = constructionPersonName;
        this.personInCharge = personInCharge;
        this.dispatchUserId = dispatchUserId;
        this.siteType = siteType;
        this.siteTypeName = siteTypeName;
        this.manageUnit = manageUnit;
        this.manager = manager;
        this.constructionState = constructionState;
        this.rowId = rowId;
        this.constructionStateName = constructionStateName;
        this.x = x;
        this.y = y;
        this.constructionPerson = constructionPerson;
        this.personInChargePhone = personInChargePhone;
        this.submit_state = submit_state;
        this.department = department;
    }
    @Generated(hash = 1623394680)
    public BuildManageBean() {
    }
    public String getId() {
        return this.id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public String getNote() {
        return this.note;
    }
    public void setNote(String note) {
        this.note = note;
    }
    public String getDispatchDate() {
        return this.dispatchDate;
    }
    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }
    public String getConstructionAddress() {
        return this.constructionAddress;
    }
    public void setConstructionAddress(String constructionAddress) {
        this.constructionAddress = constructionAddress;
    }
    public String getSiteName() {
        return this.siteName;
    }
    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }
    public String getDescription() {
        return this.description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
    public String getDelFlag() {
        return this.delFlag;
    }
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
    public String getDispatchUserName() {
        return this.dispatchUserName;
    }
    public void setDispatchUserName(String dispatchUserName) {
        this.dispatchUserName = dispatchUserName;
    }
    public String getConstructionUnit() {
        return this.constructionUnit;
    }
    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }
    public String getConstructionPersonName() {
        return this.constructionPersonName;
    }
    public void setConstructionPersonName(String constructionPersonName) {
        this.constructionPersonName = constructionPersonName;
    }
    public String getPersonInCharge() {
        return this.personInCharge;
    }
    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }
    public String getDispatchUserId() {
        return this.dispatchUserId;
    }
    public void setDispatchUserId(String dispatchUserId) {
        this.dispatchUserId = dispatchUserId;
    }
    public String getSiteType() {
        return this.siteType;
    }
    public void setSiteType(String siteType) {
        this.siteType = siteType;
    }
    public String getSiteTypeName() {
        return this.siteTypeName;
    }
    public void setSiteTypeName(String siteTypeName) {
        this.siteTypeName = siteTypeName;
    }
    public String getManageUnit() {
        return this.manageUnit;
    }
    public void setManageUnit(String manageUnit) {
        this.manageUnit = manageUnit;
    }
    public String getManager() {
        return this.manager;
    }
    public void setManager(String manager) {
        this.manager = manager;
    }
    public String getConstructionState() {
        return this.constructionState;
    }
    public void setConstructionState(String constructionState) {
        this.constructionState = constructionState;
    }
    public int getRowId() {
        return this.rowId;
    }
    public void setRowId(int rowId) {
        this.rowId = rowId;
    }
    public String getConstructionStateName() {
        return this.constructionStateName;
    }
    public void setConstructionStateName(String constructionStateName) {
        this.constructionStateName = constructionStateName;
    }
    public double getX() {
        return this.x;
    }
    public void setX(double x) {
        this.x = x;
    }
    public double getY() {
        return this.y;
    }
    public void setY(double y) {
        this.y = y;
    }
    public String getConstructionPerson() {
        return this.constructionPerson;
    }
    public void setConstructionPerson(String constructionPerson) {
        this.constructionPerson = constructionPerson;
    }
    public String getPersonInChargePhone() {
        return this.personInChargePhone;
    }
    public void setPersonInChargePhone(String personInChargePhone) {
        this.personInChargePhone = personInChargePhone;
    }
    public String getSubmit_state() {
        return this.submit_state;
    }
    public void setSubmit_state(String submit_state) {
        this.submit_state = submit_state;
    }
    public String getDepartment() {
        return this.department;
    }
    public void setDepartment(String department) {
        this.department = department;
    }

}
